Subject: bug#79164: frame position not updated correctly when resizing from left edge on macOS

From: Alan Third <[email-masked]>
Date: Tue, 5 Aug 2025 21:03:59 +0100

On Tue, Aug 05, 2025 at 08:20:16PM +0900, 川本 琢二 (Dr.Sc.KAWAMOTO,Takuji) wrote:
> Thank you for the reference.
> 
> Yes, I also noticed that Yamamoto-san’s `emacs-mac` port uses similar
> approaches
>  to track window movement and resizing accurately on macOS.
>  That gave me more confidence that this patch’s use of `windowDidMove` and
>  `windowDidEndLiveResize` to update frame geometry is consistent with
> well-tested practice.
> 
> My patch aims to integrate such behavior into upstream Emacs so that even
> the standard
> Cocoa build reports accurate frame positions during edge-resize
> operations—especially
> for use cases relying on `move-frame-functions`.

I think I redid the resizing code a few years ago, and I'm guessing
this got missed. Thank you for the patch.

Eli, does this require copyright assignment? I'm guessing not as most
of the code is not new, just moved from A to B.
-- 
Alan Third